<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed May 06 12:57:08 EEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-05-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#generateBill-java.util.HashMap-int-">generateBill(HashMap&lt;Order, ArrayList&lt;MenuItem&gt;&gt;, int)</a></span> - Method in interface BusinessLayer.<a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></dt>
<dd>
<div class="block">lista de comenzi nu trebuie sa fie goala si id ul comenzii trebuie s fie valid (diferit de 0)</div>
</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#generateBill-java.util.HashMap-int-">generateBill(HashMap&lt;Order, ArrayList&lt;MenuItem&gt;&gt;, int)</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Restaurant.html" title="class in BusinessLayer">Restaurant</a></dt>
<dd>
<div class="block">Aceasta metoda are rolul de a calcula pretul comenzii si de genera nota de plata pentru o anumita
 comanda a carei id este primit ca parametru, apeland metoda bill din clasa FileWriter</div>
</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Order.html#getDate--">getDate()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/BaseProduct.html#getId--">getId()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/BaseProduct.html" title="class in BusinessLayer">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/CompositeProduct.html#getId--">getId()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/CompositeProduct.html" title="class in BusinessLayer">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/MenuItem.html#getId--">getId()</a></span> - Method in interface BusinessLayer.<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Order.html#getIdOrder--">getIdOrder()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/CompositeProduct.html#getIngredients--">getIngredients()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/CompositeProduct.html" title="class in BusinessLayer">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getMenu--">getMenu()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Restaurant.html" title="class in BusinessLayer">Restaurant</a></dt>
<dd>
<div class="block">metoda care returneaza meniul restaurantului</div>
</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/BaseProduct.html#getName--">getName()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/BaseProduct.html" title="class in BusinessLayer">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/CompositeProduct.html#getName--">getName()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/CompositeProduct.html" title="class in BusinessLayer">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/MenuItem.html#getName--">getName()</a></span> - Method in interface BusinessLayer.<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getOrders--">getOrders()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Restaurant.html" title="class in BusinessLayer">Restaurant</a></dt>
<dd>
<div class="block">metoda care returneaza comenzile procesate in cadrul restaurantului</div>
</dd>
<dt><span class="memberNameLink"><a href="../BusinessLayer/Order.html#getTable--">getTable()</a></span> - Method in class BusinessLayer.<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
